=== debian/changelog ===
elkcode (6.2.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.
  * debian/patches/makeflags.patch: Generate make.inc.in, not make.inc.
  * debian/rules (override_dh_auto_build): Assemble make.inc from make.def and
    make.inc.in before build.
  * debian/rules (override_dh_auto_clean): New target, remove generated
    make.inc.

 -- Michael Banck <mbanck@debian.org>  Thu, 01 Aug 2019 20:14:50 +0200
