=== debian/changelog ===
elkcode (6.3.2-2) unstable; urgency=medium

  * debian/patches/makeflags.patch: Add -fallow-argument-mismatch to F90_OPTS
    and F77_OPTS (Closes: #957168).

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2020 12:16:50 +0200

elkcode (6.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/perl_5_30_protex.patch: New patch, fixes the protex script
    for Perl 5.30, taken from the upstream development forum, by John Kay
    Dewhurst (Closes: #952357).
  * debian/control (Build-Depends): Replaced texlive-latex-base with
    texlive-latex-extra, as required style files were moved to it.
  * debian/tests/testsuite.sh: Use bash to run tests_quick.sh script.
  * debian/patches/testsuite_quick.patch: Updated for renamed test directories
    and proper exit status added.

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Feb 2020 16:07:03 +0100
